package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.MultiResponse;
import com.zcloud.basic.info.dto.ProblemFeedbackAddCmd;
import com.zcloud.basic.info.dto.ProblemFeedbackPageQry;
import com.zcloud.basic.info.dto.ProblemFeedbackListQry;
import com.zcloud.basic.info.dto.ProblemFeedbackUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.ProblemFeedbackCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
 * web-client
 *
 * @Author SondonYong
 * @Date 2025-12-06 11:26:35
 */
public interface ProblemFeedbackServiceI {
    PageResponse<ProblemFeedbackCO> listPage(ProblemFeedbackPageQry qry);

    MultiResponse<ProblemFeedbackCO> list(ProblemFeedbackListQry qry);

    SingleResponse<ProblemFeedbackCO> getInfoById(Long id);

    SingleResponse<ProblemFeedbackCO> add(ProblemFeedbackAddCmd cmd);

    void edit(ProblemFeedbackUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

